* {
  box-sizing: border-box;
}

.footer {
  height: 150px;
  display: grid;
  row-gap: 10px;
  grid-template-columns: auto auto auto auto;
  background-color: #0b0c0c;
  padding: 10px;
  text-align: justify;
}

.grid-item {
  background-color: rgba(22, 20, 20, 0.8);
  padding: 0px;
  margin-left: 10px;
  font-size: 20px;
  text-align: center;
}

.address{
  position:absolute;
  padding-left: 20px;
  padding-top: 0;
  text-align: justify;
  font-size: 15px;
  color: white;
}

.pulsar{
  color:rgb(224, 33, 161);
  font-size: 22px;
}


.contact-data{
  position:absolute;
  padding-left: 20px;
  padding-top: 20px;
  text-align: justify;
  color: white;
  font-size: 15px;
}

.data-button{
  margin-top: 15px;
  margin-left: 35px;
  padding: 0;
  height: 70px;
  width: 70px;
}

.data-view-button{
  margin-top: 15px;
  padding: 0;
  height: 70px;
  width: 50px;
}

.data-view-icon{
  height: 50px;
  cursor: pointer;
  border-radius: 6px;
  border: none;
  background-color: rgb(255, 252, 252);
  cursor: pointer;
  padding: 4px;
}


@media only screen and (max-width: 900px) {
  .footer {
    height: 180px;
    row-gap: 50px;
    column-gap: 35px;
    grid-template-columns: 170px 170px ;
    padding: 0px;
  }

  .grid-item {
    padding: 10px;
    margin-left: 2px;
    margin-bottom: 5px;
  }

  .address, .contact-data{
    font-size: 13px;
    margin-left: 2px;
  }

  .pulsar{
    font-size: 17px;
    margin-left: 2px;
  }

  .data-view-button{
    margin-top: 20px;
    height: 70px;
    width: 30px;
  }

  .data-view-icon{
    height: 20px;
  }
}
